summaryrefslogtreecommitdiffstats
path: root/libraries/libdaemon
diff options
context:
space:
mode:
author Rodney Cobb2010-05-11 22:54:03 +0200
committer David Somero2010-05-11 22:54:03 +0200
commited76e1edb856a43ade2b143cb6dc869db8a0fa4f (patch)
tree087d3b274bdc0f6f00c93fa2a2b97d7956d74be5 /libraries/libdaemon
parenteacec3a3cd03ce9cd9903f49ec11bac55ccc8226 (diff)
downloadslackbuilds-ed76e1edb856a43ade2b143cb6dc869db8a0fa4f.tar.gz
libraries/libdaemon: Added to 12.1 repository
Diffstat (limited to 'libraries/libdaemon')
-rw-r--r--libraries/libdaemon/README11
-rw-r--r--libraries/libdaemon/libdaemon.SlackBuild89
-rw-r--r--libraries/libdaemon/libdaemon.info8
-rw-r--r--libraries/libdaemon/slack-desc19
4 files changed, 127 insertions, 0 deletions
diff --git a/libraries/libdaemon/README b/libraries/libdaemon/README
new file mode 100644
index 0000000000..a85669a339
--- /dev/null
+++ b/libraries/libdaemon/README
@@ -0,0 +1,11 @@
+Libdaemon is a lightweight C library that eases the writing of UNIX daemons.
+It consists of the following parts:
+ * A wrapper around fork() which does the correct daemonization
+ procedure of a process
+ * A wrapper around syslog() for simpler and compatible log output to
+ Syslog or STDERR
+ * An API for writing PID files
+ * An API for serializing UNIX signals into a pipe for usage with
+ select() or poll()
+ * An API for running subprocesses with STDOUT and STDERR redirected
+ to syslog. \ No newline at end of file
diff --git a/libraries/libdaemon/libdaemon.SlackBuild b/libraries/libdaemon/libdaemon.SlackBuild
new file mode 100644
index 0000000000..7a9d61699e
--- /dev/null
+++ b/libraries/libdaemon/libdaemon.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/sh
+
+# Copyright 2007 by ktabic (rdc@ktabic.co.uk)
+# Permission to use, copy, modify, and distribute this software for
+# any purpose with or without fee is hereby granted, provided that
+# the above copyright notice and this permission notice appear in all
+# copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+# ---------------------------------------------------------------------------
+
+# Modified by the SlackBuilds.org Project
+
+PRGNAM=libdaemon
+VERSION=0.12
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --enable-static=no \
+ --build=$ARCH-slackware-linux \
+ --host=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -name "*.?" -exec gzip -9 {} \;
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/libdaemon/libdaemon.info b/libraries/libdaemon/libdaemon.info
new file mode 100644
index 0000000000..6cbc6fa05a
--- /dev/null
+++ b/libraries/libdaemon/libdaemon.info
@@ -0,0 +1,8 @@
+PRGNAM="libdaemon"
+VERSION="0.12"
+HOMEPAGE="http://0pointer.de/lennart/projects/libdaemon/"
+DOWNLOAD="http://0pointer.de/lennart/projects/libdaemon/libdaemon-0.12.tar.gz"
+MD5SUM="76596823cc1a6d1cdf7779b782ff0ee6"
+MAINTAINER="Rodney Cobb"
+EMAIL="rdc@ktabic.co.uk"
+APPROVED="David Somero" \ No newline at end of file
diff --git a/libraries/libdaemon/slack-desc b/libraries/libdaemon/slack-desc
new file mode 100644
index 0000000000..8791b4336d
--- /dev/null
+++ b/libraries/libdaemon/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libdaemon: libdaemon (daemon library)
+libdaemon:
+libdaemon: libdaemon is a lightweight C library that eases the writing of UNIX
+libdaemon: daemons.
+libdaemon:
+libdaemon:
+libdaemon:
+libdaemon:
+libdaemon:
+libdaemon:
+libdaemon: